package com.bcxin.rbac.domain.repository.custom;

import com.bcxin.rbac.domain.entities.RbacPermitAppRoleEntity;
import com.bcxin.rbac.domain.repositories.custom.RbacPermitAppRoleRepository;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface RbacPermitAppRoleJpaRepository extends RbacPermitAppRoleRepository, JpaRepository<RbacPermitAppRoleEntity, Long> {

    List<RbacPermitAppRoleEntity> findByRbacRoleId(Long rbacRoleId);

    void deleteByRbacRoleId(Long rbacRoleId);

    List<RbacPermitAppRoleEntity> findByRbacRoleIdIn(List<Long> rbacRoleIds);

}