package com.bcxin.rbac.domain.repository.custom;

import com.bcxin.rbac.domain.entities.RbacPermitAppUserEntity;
import com.bcxin.rbac.domain.repositories.custom.RbacPermitAppUserRepository;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface RbacPermitAppUserJpaRepository extends RbacPermitAppUserRepository, JpaRepository<RbacPermitAppUserEntity, Long> {

    void deleteByTenantEmployeeId(String tenantEmployeeId);

    List<RbacPermitAppUserEntity> findByTenantEmployeeId(String tenantEmployeeId);

}