package com.bcxin.rbac.domain.repository.tmps;

import com.bcxin.Infrastructures.entities.OperatorValueType;
import lombok.Getter;

@Getter
public class ResourceTmpDto {
        private final String id;
        private final String categoryId;
        private final String name;
        private final String data;
        private final String dataType;
        private final String metaId;
        private final String metaConfig;
        private final String metaData;
        private final int level;
        private final String parentId;
        private final OperatorValueType creator;
        private final OperatorValueType lastModifier;

    public ResourceTmpDto(String id, String categoryId, String name, String data, String dataType,
                          String metaId, String metaConfig, String metaData,int level,String parentId,
                          OperatorValueType creator, OperatorValueType lastModifier) {
        this.id = id;
        this.categoryId = categoryId;
        this.name = name;
        this.data = data;
        this.dataType = dataType;
        this.metaId = metaId;
        this.metaConfig = metaConfig;
        this.metaData = metaData;
        this.level = level;
        this.parentId = parentId;
        this.creator = creator;
        this.lastModifier = lastModifier;
    }
}
